{lib, ...}: {
  imports = [
    ./fish.nix
    ./git.nix
    ./macchina.nix
    ./wezterm.nix
  ];

  programs = {
    fd.enable = true;
    git-cliff.enable = true;
    jq.enable = true;
    nix-index-database.comma.enable = true;
    nix-index.enable = true;
    ripgrep.enable = true;

    atuin = {
      enable = true;
      settings = {
        inline_height = 20;
        show_preview = true;
        style = "compact";
      };
    };

    bat = {
      enable = true;
      catppuccin.enable = true;
    };

    btop = {
      enable = true;
      catppuccin.enable = true;
    };

    direnv = {
      enable = true;
      nix-direnv.enable = true;
    };

    eza = {
      enable = true;
      git = true;
      icons = "always";
    };

    fzf = {
      enable = true;
      catppuccin.enable = true;
      colors = with lib; {
        bg = mkForce "-1";
        "bg+" = mkForce "-1";
      };
    };

    zoxide = {
      enable = true;
      options = ["--cmd" "cd"];
    };
  };
}
